%define module	HTML-Embperl
%define version	2.0b9
%define release	0.20030308.2mdk
%{expand:%%define perl_version %(rpm -q perl|sed 's/perl-\([0-9].*\)-.*$/\1/')}
%{expand:%%define modperl_version %(rpm -q apache2-mod_perl|sed 's/apache2-mod_perl-\([0-9].*\)-.*$/\1/')}
#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

%define mod_conf 76_Embperl.conf

Summary:	Embperl is a framework for building web sites with Perl.
Name:		apache2-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
Source0:	embperl.tar.bz2
Source1:	%{mod_conf}.bz2
Patch:		Embperl-2.09b-fix-CVS.patch.bz2
Url:		http://perl.apache.org/embperl/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl = %{perl_version}
Prereq:         %{ap_name} = %{ap_version}
Prereq:         %{ap_name}-conf
Requires:	%{ap_name}-mod_perl = %{modperl_version}
BuildRequires:  ADVX-build >= 1.2
BuildRequires:  %{ap_name}-devel >= 2.0.43-5mdk
BuildRequires:  %{ap_name} = %{ap_version}
BuildRequires:  %{ap_name}-modules = %{ap_version}
BuildRequires:	%{ap_name}-mod_perl = %{modperl_version}
BuildRequires:  libxml2-devel
BuildRequires:	libxslt1-devel
BuildRequires:	perl-libwww-perl
BuildRequires:  perl-HTML-Parser 
BuildRequires:  perl-Apache-Session
BuildRequires:  perl-Apache-SessionX 
#BuildRequires:  perl-File-Spec 
BuildRequires:  perl-ExtUtils-XSBuilder
Provides:       ADVXpackage
Provides:       AP20package

%description
Embperl is a framework for building websites with Perl.

For the beginner it's an easy to setup and use way of embedding Perl code in
HTML pages. It delivers several features that ease the task of creating a
websites, including dynamic tables, formfield-processing,
escaping/unescaping, session handling, caching and more.

If your demands grow it gives you the power to make your Website
object-oriented and build it out of small reusable components. If you don't
like the idea of mixing up all your layout and code then Embperl also
supports separating it in different objects (e.g. creating an MVC
application). Of course Embperl doesn't tie you to HTML - it allows
components to be from different source formats (e.g. HTML, WML, XML, POD,
...) and if necessary transforms them (for example via XSLT) to other output
formats. This is achieved by dividing the output generation into small
steps, where each is processed by a plugable provider. Advanced users can
create their own syntax definitions (for example tag libraries) and extend
Embperl by writing their own providers and much more...

Embperl is a server-side tool, which means that it's browser-independent. It
can run in various ways: under mod_perl, as a CGI script, or offline.

%prep
%setup -q -n embperl
#cvs -d:pserver:anoncvs@cvs.apache.org:/home/cvspublic login
#cvs -d:pserver:anoncvs@cvs.apache.org:/home/cvspublic co embperl
#tar cvjf $RPM_SOURCE_DIR/embperl.tar.bz2 embperl

rm -f eg/x/config.htm
%patch -p1
perl -pi -e "s/\&lt;/\</;" eg/x/loop.htm

cat << EOF > eg/.htaccess
<Files ~ (\.htm)>
SetHandler perl-script
PerlResponseHandler Embperl
</Files>
Options +Indexes
EOF

find -type d|grep CVS|xargs rm -rf
find -type f|grep cvsignore|xargs rm -f

%build
perl -pi -e "s/action_module/actions_module/;" Makefile.PL
perl xsbuilder/source_scan.pl
perl xsbuilder/xs_generate.pl
cat << EOF | perl Makefile.PL
y
%{ap_includedir}
y
%{_sbindir}/%{ap_progname}
%{ap_extralibs}
%{ap_libexecdir}
.
EOF
make
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
eval `perl '-V:installarchlib'`
mkdir -p %{buildroot}/$installarchlib
make PREFIX=%{buildroot}%{_prefix} INSTALLDIRS=vendor install
%__os_install_post
find %{buildroot}%{_prefix} -type f -print | sed "s@^%{buildroot}@@g" | grep -v perllocal.pod > %{module}-%{version}-filelist
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}
rm -rf test/tmp/* 
rm -rf blib
mkdir -p blib/arch
pushd blib/arch
eval `perl '-V:vendorarch'`
ln -s ../../../../../..$vendorarch/auto/ .
popd

cd test
chmod 755 tmp
find -type f|xargs perl -pi -e \
	"s|$RPM_BUILD_DIR/embperl|%{_docdir}/%{name}-%{version}|g;"
perl -pi -e 's/\015//;' conf/config.pl
cd ..
rm -f %{buildroot}$vendorarch/auto/Embperl/*.bs


%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc MANIFEST READM* eg test.pl test *.pod TODO blib
%{_mandir}/*/*
%{perl_vendorlib}/*
%{_bindir}/*
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_webdoc}/*


%changelog
* Mon Mar 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0b9-0.20030308.2mdk
- fix description

* Sat Mar  8 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0b9-0.20030308.1mdk
- initial contribs release
